Bug 1532468 (CVE-2017-1000469) - CVE-2017-1000469 cobbler: Command injection in the "add repo" component allows for remote code execution
Summary: CVE-2017-1000469 cobbler: Command injection in the "add repo" component allow...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-1000469
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1532469 1532470 1533708 1533709
Blocks: 1532471
TreeView+ depends on / blocked
 
Reported: 2018-01-09 02:51 UTC by Sam Fowler
Modified: 2021-02-17 01:01 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:36:23 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-01-09 02:51:45 UTC
Cobbler version up to 2.8.2 is vulnerable to a command injection vulnerability in the "Mirror" field of the "Adding a Repo" form. A remote user could exploit this to execute arbitrary code as root.

References:
https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-1000469
https://github.com/cobbler/cobbler/issues/1845

Comment 1 Sam Fowler 2018-01-09 02:52:26 UTC
Created cobbler tracking bugs for this issue:

Affects: epel-all [bug 1532469]
Affects: fedora-all [bug 1532470]

Comment 3 Kurt Seifried 2018-01-12 01:41:26 UTC
Statement:

Red Hat Satellite 5 is now in Production 3 Phase of the support and maintenance life cycle. The cobbler API has a user associated with it however the password is a randomly generated  64 character string, making the API inaccessible. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.